## snarf 1.0

=== Makefile ===
# makefile for snarf, the Simple Non-interactive All Purpose Resource Fetcher
# Copyright (C) 1995, 1996 Zachary Beane
# 
# Can you tell this is my first makefile?

# if you don't have install, you're out of luck
   INSTALL = /usr/bin/install
INSTALLDIR = /usr/local
      USER = root
     GROUP = bin

# define your compiler
        CC = gcc

# Some SunOS's, uncomment the following, thanks to Greg Lewis for
# finding this for me
#CFLAGS = -lsocket -lsnl -L/usr/ucblib -lucb
CFLAGS = -O2
# Don't touch anything below. Unless, of course, you know more than me.
# NOTE: This is easily accomplished.

OBJS = snarf.o url.o simple.o ftp.o alias.o ftplib.o


snarf : ${OBJS}
	${CC} ${CFLAGS} -o snarf ${OBJS}

snarf.o : snarf.c url.h protocol.h
	${CC} ${CFLAGS} -c snarf.c

url.o : url.c url.h protocol.h
	${CC} ${CFLAGS} -c url.c

simple.o : simple.c
	${CC} ${CFLAGS} -c simple.c

ftp.o : ftp.c
	${CC} ${CFLAGS} -c ftp.c

ftplib.o : ftplib.c
	${CC} ${CFLAGS} -c ftplib.c

alias.o : alias.c
	${CC} ${CFLAGS} -c alias.c

install : snarf.1 snarf
	${INSTALL} -g ${GROUP} -o ${USER} -m 0644 snarf.1 ${INSTALLDIR}/man/man1
	${INSTALL} -g ${GROUP} -o ${USER} -m 0755 snarf ${INSTALLDIR}/bin

clean :
	rm -f *~ *.o snarf

love :
	@echo "Error: no sexd present."

war :
	@echo "Make love, not war."

out :
	@echo "Heavy petting, maybe, but no making out."

## snarf 7.0

=== debian/changelog ===
snarf (7.0-9) unstable; urgency=medium

  * QA upload.
  * debian/control: bumped Standards-Version to 4.6.0.

 -- David da Silva Polverari <david.polverari@gmail.com>  Mon, 20 Sep 2021 16:20:11 +0000

snarf (7.0-8) unstable; urgency=medium

  * QA upload.
  * Upload to unstable.

 -- Adrian Bunk <bunk@debian.org>  Thu, 16 Sep 2021 14:29:16 +0300

snarf (7.0-7) experimental; urgency=medium

  * QA upload.
  * Migrations:
      - DH to new level format. Consequently:
          ~ debian/compat: removed.
          ~ debian/control: changed from 'debhelper' to 'debhelper-compat' in
            Build-Depends field and bumped level to 13.
      - DebSrc to 3.0.
      - debian/copyright to 1.0 format.
      - debian/rules to new (reduced) format.
  * Ran wrap-and-sort.
  * debian/control:
      - Added 'Rules-Requires-Root: no' to source stanza.
      - Added Homepage field.
      - Added Vcs-* fields.
      - Bumped Standards-Version to 4.5.1.
  * debian/copyright:
      - Added licensing information for snarf.1 file.
      - Updated upstream and packaging copyright information.
  * debian/patches/:
      - 010_old-diffs.patch: created to apply all previous diffs from old Debian
        source format.
      - 020_fix-buildsystem.patch: created to fix problems caused by removal of
        deprecated functionality on newer versions of autotools.
  * debian/rules: fix FTCBFS by exporting CC to ./configure. Thanks to Helmut
    Grohne <helmut@subdivi.de> (Closes: #941679).
  * debian/salsa-ci.yml: added to provide CI tests for Salsa.
  * debian/tests/control: created to perform CI tests.
  * debian/upstream/metadata: created.
  * debian/watch: created.

 -- David da Silva Polverari <david.polverari@gmail.com>  Sun, 13 Jun 2021 01:25:46 +0000

snarf (7.0-6) unstable; urgency=medium

  * QA upload.
  * Maintainer field set to QA Group.
  * Bump Standards-Version to 3.9.6.
  * Debhelper compatibility level set to 9.
  * Use default Debian compiler flags.
  * Do not start synopsis with an article.
  * Depend on ${misc:Depends}.
  * Point to GPLv2 in copyright file.
  * Add recommended debian/rules targets: build-arch and build-indep.

 -- Emanuele Rocca <ema@debian.org>  Sat, 28 Nov 2015 17:59:25 +0100

snarf (7.0-5) unstable; urgency=low

  * Apply patch from Alan Curry <pacman@TheWorld.com> to use a different
    user agent when talking to Google, since they are denying access to
    the standard snarf user agent.  (Closes: Bug#369037)
  * Apply patch from "Ulf Harnhammar" <metaur@operamail.com> to avoid
    crashing when we get an invalid response to the PASV command from an
    FTP server.  (Closes: Bug#352450)
  * Update policy to version 3.7.2.
  * Update DH_COMPAT to 5.

 -- Noah Meyerhans <noahm@debian.org>  Tue,  6 Jun 2006 22:32:16 -0400

snarf (7.0-4) unstable; urgency=low

  * Fix typo in description (Closes: Bug#135508)
  * Fix FSF info in copyright
  * Fix some generally harmless compiler warnings for aesthetics.

 -- Noah Meyerhans <noahm@debian.org>  Mon, 24 Oct 2005 23:45:46 -0400

snarf (7.0-3) unstable; urgency=low

  * Updated description (Closes: Bug#127858)

 -- Noah Meyerhans <noahm@debian.org>  Fri, 11 Jan 2002 15:18:51 -0500

snarf (7.0-2) unstable; urgency=low

  * New maintainer (Closes: Bug#86871)

 -- Noah Meyerhans <noahm@debian.org>  Mon,  7 May 2001 14:28:52 -0400

snarf (7.0-1) unstable; urgency=low

  * New upstream version.
  * Conforms to Standards version 3.5.2:
    * Added build dependencies.
    * Added support for the `debug' build option.

 -- Matej Vela <vela@debian.org>  Sun, 25 Feb 2001 12:52:19 +0100

snarf (2.0.9-2) frozen unstable; urgency=low

  * Orphaning package

 -- Sean 'Shaleh' Perry <shaleh@debian.org>  Wed, 21 Feb 2001 07:56:29 -0800

snarf (2.0.9-1) frozen unstable; urgency=low

  * New upstream release

 -- Sean 'Shaleh' Perry <shaleh@debian.org>  Wed, 19 Jan 2000 15:00:29 -0800

snarf (2.0.8-1) unstable; urgency=low

  * New upstream release
  * New maintainer

 -- Sean 'Shaleh' Perry <shaleh@debian.org>  Mon, 13 Dec 1999 16:00:10 -0800

snarf (2.0.5-2) unstable; urgency=low

  * Update for policy 3.0.0.
  * debian/rules: Adopt dpkg-architecture variables.

 -- Joel Klecker <espy@debian.org>  Sat, 31 Jul 1999 20:47:26 -0700

snarf (2.0.5-1) unstable; urgency=low

  * New upstream release.
  * Actually release the package.

 -- Joel Klecker <espy@debian.org>  Wed, 30 Dec 1998 08:33:06 -0800

snarf (2.0.4-1) unstable; urgency=low

  * Initial release of repackaging.

 -- Joel Klecker <espy@debian.org>  Wed, 18 Nov 1998 22:42:26 -0800

snarf (1.12-1) unstable; urgency=low

  * New maintainer: John Goerzen <jgoerzen@complete.org>
  * New upstream release
  * Standards-version now 2.1.2.2

 -- John Goerzen <jgoerzen@complete.org>  Thu, 16 Jan 1997 22:08:39 -0600

snarf (1.0-1) unstable; urgency=low

  * Initial Release.

 -- Christoph Lameter <clameter@debian.org>  Fri, 11 Oct 1996 19:21:09 -0800

=== debian/control ===
Source: snarf
Section: net
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Rules-Requires-Root: no
Standards-Version: 4.6.0
Build-Depends: debhelper-compat (= 13)
Homepage: https://www.xach.com/snarf/
Vcs-Browser: https://salsa.debian.org/debian/snarf
Vcs-Git: https://salsa.debian.org/debian/snarf.git

Package: snarf
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: command-line URL grabber
 Snarf is a utility to retrieve files via the http and ftp protocols. It
 supports http redirect, http and ftp resume, http and ftp authentication, and
 other neat things.  Its functionality is similar to that of wget, but with a
 much smaller binary.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND = -Wall -pedantic

# snarf's configure is too old to understand the '--host' switch used by
# dh_auto_configure to cross-build from source. The following two lines define
# the right variables for host tools and export CC, making configure use the
# right compiler. See http://bugs.debian.org/941679.
-include /usr/share/dpkg/buildtools.mk
export CC

%:
	dh $@

=== debian/tests/control ===
Test-Command: snarf 2>&1 | grep 'snarf: not enough arguments'
Restrictions: allow-stderr, superficial

Test-Command: snarf --help | grep 'usage: snarf'
Restrictions: superficial

=== debian/watch ===
version=4
https://www.xach.com/snarf/download/index.html .*snarf-(\d\S+)\.tar\.(?:bz2|gz|xz)
